Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::PKCS8_Exception Struct Reference

`#include <pkcs8.h>`

Inheritance diagram for Botan::PKCS8_Exception:

## Public Member Functions
| PKCS8_Exception (const std::string &error)
const char * | what () const BOTAN_NOEXCEPT override

## Detailed Description

PKCS #8 General Exception

Definition at line 20 of file pkcs8.h.

## Constructor & Destructor Documentation

Botan::PKCS8_Exception::PKCS8_Exception | ( | const std::string & | error | ) |
| inline explicit

Definition at line 22 of file pkcs8.h.

22 :
23 Decoding_Error("PKCS #8: " + error) {}
Botan::Decoding_Error::Decoding_Error
Decoding_Error(const std::string &name)
Definition: exceptn.h:191

## Member Function Documentation

const char* Botan::Exception::what | ( |  | ) | const
| inline override inherited

Definition at line 26 of file exceptn.h.

Referenced by botan_cipher_update(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), Botan::X509_Object::do_decode(), and Botan::X509::load_key().

26 { return m_msg.c_str(); }

The documentation for this struct was generated from the following file:

- src/lib/pubkey/pkcs8.h